package com.ruoyi.system.domain.projectV2.Vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.system.domain.projectV2.ZsyzProjectDept;

import java.util.List;

/**
 * @Author: tjf 指派接受的参数
 * @Date: 2023/3/3 15:18
 * @Describe:
 */
public class ZpVo extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /** 项目ID */
    @Excel(name = "项目ID")
    private Long xmId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;

    //名称
    private String xmmc;

    //要素部门
    private List<ZsyzProjectDept> ysbmList;
    //承接地

    private List<ZsyzProjectDept> cjdList;

    //招商引荐单位
    private List<ZsyzProjectDept> yjdwList;

    public String getXmmc() {
        return xmmc;
    }

    public void setXmmc(String xmmc) {
        this.xmmc = xmmc;
    }

    public Long getXmId() {
        return xmId;
    }

    public void setXmId(Long xmId) {
        this.xmId = xmId;
    }

    public String getXmbh() {
        return xmbh;
    }

    public void setXmbh(String xmbh) {
        this.xmbh = xmbh;
    }

    public List<ZsyzProjectDept> getYsbmList() {
        return ysbmList;
    }

    public void setYsbmList(List<ZsyzProjectDept> ysbmList) {
        this.ysbmList = ysbmList;
    }

    public List<ZsyzProjectDept> getCjdList() {
        return cjdList;
    }

    public void setCjdList(List<ZsyzProjectDept> cjdList) {
        this.cjdList = cjdList;
    }

    public List<ZsyzProjectDept> getYjdwList() {
        return yjdwList;
    }

    public void setYjdwList(List<ZsyzProjectDept> yjdwList) {
        this.yjdwList = yjdwList;
    }

    @Override
    public String toString() {
        return "ZpVo{" +
                "xmId=" + xmId +
                ", xmbh='" + xmbh + '\'' +
                ", xmmc='" + xmmc + '\'' +
                ", ysbmList=" + ysbmList +
                ", cjdList=" + cjdList +
                ", yjdwList=" + yjdwList +
                '}';
    }
}
